commit:     623d2d6dd5221b7cda92d0f6bc9de217690fe5f3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 31 14:25:58 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 31 15:42:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=623d2d6d

dev-python/extras: Port to py39

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/extras/extras-1.0.0.ebuild | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/dev-python/extras/extras-1.0.0.ebuild 
b/dev-python/extras/extras-1.0.0.ebuild
index b092e5c776e..933ec5200ba 100644
--- a/dev-python/extras/extras-1.0.0.ebuild
+++ b/dev-python/extras/extras-1.0.0.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-PYTHON_COMPAT=( python2_7 python3_6 python3_7 python3_8 pypy3 )
+PYTHON_COMPAT=( python2_7 python3_{6..9} pypy3 )
 
 inherit distutils-r1
 
@@ -17,11 +17,9 @@ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc 
ppc64 s390 sparc x86
 IUSE="test"
 RESTRICT="!test? ( test )"
 
-DEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
+BDEPEND="
        test? ( dev-python/testtools[${PYTHON_USEDEP}] )"
-RDEPEND=""
 
 python_test() {
-       "${PYTHON}" ${PN}/tests/test_extras.py || die
+       "${EPYTHON}" ${PN}/tests/test_extras.py || die
 }

Reply via email to